Page MenuHomePhabricator

Using Tab as keyboard shortcut in Flow entry fields should include the VE/source toggle in Firefox
Closed, ResolvedPublic2 Story Points

Description

In Chrome, if you hit Tab in an open Flow entry field, you can make the VE/source toggle active, and hit enter to switch between VE and source.

On Firefox, you can't tab to the toggle -- you just get Reply, Cancel and then it moves to another entry field. It would be nice to include the toggle here as well.

The problem on Firefox affects both source and VE mode.

Event Timeline

DannyH created this task.Jun 2 2015, 10:31 PM
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH moved this task to Team discussion on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2015, 10:31 PM
DannyH updated the task description. (Show Details)Jun 10 2015, 6:57 PM
DannyH set Security to None.
DannyH edited a custom field.

See also T105758: Change the selection of buttons when using tab key, in order to unify the workflow which complains about how Tab+Enter doesn't publish the comment

This works for me now. The tab order is inconsistent between WT and VE, but it is consistent between FF and Chrome.

Checked in betalabs(FF and Chrome).

It's hard to see when WT icon is selected via Tab(switching to from WT to VT):

vs when it's not selected:

When switching from VE to WT - it's much more noticeable:
FF:

Chrome:

DannyH closed this task as Resolved.Aug 19 2015, 7:45 PM
DannyH claimed this task.